Puzzle / Developers
API referenceDepartments

Create Department

POST /company/{id}/departments

POST/company/{id}/departments

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/departments" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string"}

Schema refreshed 2026-11-11T18:57:48.657Z